package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "ProfileHistoriLowonganD_T")
public class ProfileHistoriLowonganD extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "noHistoriFk")
	@Caption(value="noHistoriFk")
	private StrukHistori strukHistori;

	@Column(name = "noHistoriFk", insertable=false,updatable=false,nullable=false)
	private String strukHistoriId;

	@ManyToOne
	@JoinColumn(name = "jabatanFk")
	@Caption(value="jabatanFk")
	private Jabatan jabatan;

	@Column(name = "jabatanFk", insertable=false,updatable=false,nullable=false)
	private Integer jabatanId;

	@ManyToOne
	@JoinColumn(name = "kategoryPegawaiFk")
	@Caption(value="kategoryPegawaiFk")
	private KategoryPegawai kategoryPegawai;

	@Column(name = "kategoryPegawaiFk", insertable=false,updatable=false,nullable=false)
	private Integer kategoryPegawaiId;
	
	@ManyToOne
	@JoinColumn(name = "dokumenFk")
	@Caption(value="dokumenFk")
	private Dokumen dokumen;

	@Column(name = "dokumenFk", insertable=false,updatable=false,nullable=false)
	private Integer dokumenId;
	
	@Caption(value="Keterangan Lainnya")
	@Column(name = "keteranganLainnya", nullable = true)
	private String keteranganLainnya;

	public StrukHistori getStrukHistori() {
		return strukHistori;
	}

	public void setStrukHistori(StrukHistori strukHistori) {
		this.strukHistori = strukHistori;
	}

	public String getStrukHistoriId() {
		return strukHistoriId;
	}

	public void setStrukHistoriId(String strukHistoriId) {
		this.strukHistoriId = strukHistoriId;
	}

	public Jabatan getJabatan() {
		return jabatan;
	}

	public void setJabatan(Jabatan jabatan) {
		this.jabatan = jabatan;
	}

	public Integer getJabatanId() {
		return jabatanId;
	}

	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}

	public KategoryPegawai getKategoryPegawai() {
		return kategoryPegawai;
	}

	public void setKategoryPegawai(KategoryPegawai kategoryPegawai) {
		this.kategoryPegawai = kategoryPegawai;
	}

	public Integer getKategoryPegawaiId() {
		return kategoryPegawaiId;
	}

	public void setKategoryPegawaiId(Integer kategoryPegawaiId) {
		this.kategoryPegawaiId = kategoryPegawaiId;
	}

	public Dokumen getDokumen() {
		return dokumen;
	}

	public void setDokumen(Dokumen dokumen) {
		this.dokumen = dokumen;
	}

	public Integer getDokumenId() {
		return dokumenId;
	}

	public void setDokumenId(Integer dokumenId) {
		this.dokumenId = dokumenId;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}
	
}
